%define qt_ver 5.6.2
%define qt_patchver %(echo %qt_ver | tr . _)
%define qt_majver %(echo %qt_ver | cut -d. -f1-2)

Name:          telegram
Version:       2.6.1
Release:       1mamba
Summary:       The official desktop client for the Telegram messenger
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://telegram.org/
Source:        https://github.com/telegramdesktop/tdesktop/releases/download/v%{version}/tdesktop-%{version}-full.tar.gz
Source1:       telegramdesktop.desktop
Source2:       tg.protocol
Patch0:        telegram-1.5.15-tdesktop.patch
Patch1:        telegram-1.5.15-no-gtk2.patch
Patch2:        telegram-1.5.15-libtgvoip.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libGL-devel
BuildRequires: libX11-devel
BuildRequires: libatk-devel
BuildRequires: libatomic-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libcairo-devel
BuildRequires: libdbusmenu-qt5-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libhunspell-devel
BuildRequires: libjpeg-devel
BuildRequires: liblz4-devel
BuildRequires: liblzma-devel
BuildRequires: libminizip1-devel
BuildRequires: libopenal-devel
BuildRequires: libopenssl-devel
BuildRequires: libopus-devel
BuildRequires: libpango-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-ffmpeg-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-keysyms-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxxhash-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
#BuildRequires: libbreakpad-devel
BuildRequires: range-v3-devel
#BuildRequires: libunity-devel
BuildRequires: range-v3-devel >= 0.11.0
BuildRequires: libtg_owt-devel >= 0.0.20210128
BuildRequires: libmicrosoft-gsl-devel
BuildRequires: tl-expected-devel
Requires:      kconfig

%description
The official desktop client for the Telegram messenger.

%debug_package

%prep
%setup -q -n tdesktop-%{version}-full

%build
%cmake -d build \
    -G Ninja \
    -DTDESKTOP_API_ID=17349 \
    -DTDESKTOP_API_HASH=344583e45741c457fe1862106095a5eb \
    -DTDESKTOP_LAUNCHER_BASENAME="telegramdesktop" \
    -DDESKTOP_APP_SPECIAL_TARGET=""

ninja %{_smp_mflags}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR=%{buildroot} ninja -C build install

install -D -m644 %{SOURCE2} %{buildroot}%{_kde5_servicesdir}/tg.protocol

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
:

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
:

%files
%defattr(-,root,root)
%{_bindir}/telegram-desktop
%{_kde5_servicesdir}/tg.protocol
%{_datadir}/applications/telegramdesktop.desktop
%{_datadir}/metainfo/telegramdesktop.appdata.xml
%{_datadir}/icons/hicolor/*/apps/telegram.png
%doc LICENSE LEGAL

%changelog
* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Thu Jan 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.7-1mamba
- update to 2.5.7

* Wed Dec 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Mon Mar 18 2019 Automatic Build System <autodist@mambasoft.it> 1.5.15-1mamba
- automatic version update by autodist

* Fri Oct 27 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.23-1mamba
- update to 1.1.23

* Tue Sep 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.6-1mamba
- update to 0.10.6

* Tue Mar 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.33-3mamba
- rebuilt (for latest ffmpeg deps on x86_64)

* Wed Mar 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.33-2mamba
- fix build tree organization

* Wed Mar 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.33-1mamba
- update to 0.9.33

* Tue Mar 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.32-1mamba
- package created using the webbuild interface
%{_kde5_servicesdir}/tg.protocol
